"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const terminalHelpers_1 = require("./terminalHelpers");
/** Checking if Yarn is installed */
const checkYarn = async () => {
    const yarn = (0, child_process_1.spawn)('yarn', ['-v']);
    yarn.stderr.on('data', (data) => {
        (0, terminalHelpers_1.simpleLog)(data.toString());
    });
    const isDockerInstalled = await new Promise((resolve) => {
        yarn.on('close', (code) => resolve(code === 0));
    });
    if (!isDockerInstalled) {
        (0, terminalHelpers_1.logSimpleErrorMessage)('Yarn is not installed. Please make sure that prerequisites are complied with and run command again.');
        process.exit(1);
    }
};
exports.default = checkYarn;
//# sourceMappingURL=checkYarn.js.map